Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1233 (new defect)

Opened 15 years ago

Last modified 14 years ago

Build problem with Fedora 7

Reported by: anonymous Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: trunk
Keywords: Fedora 7 make error Cc:
Patch is attached: 0 Pending:

Description

Attempting to build from source on a Fedora 7 machine.

The output of uname is - 2.6.20-1.2949.fc7 #1 SMP Mon Feb 26 18:37:35 EST 2007 i686 i686 i386 GNU/Linux

The source code was downloaded loaded using subversion on 2007-03-27.

The make fails with the following output -

Checking requirements... ok.  <br>
Checking kernel configuration... ok. <br>
make -C /usr/src/kernels/2.6.20-1.3017.fc7-i686 SUBDIRS=/root/Madwifi/madwifi modules
make[1]: Entering directory `/usr/src/kernels/2.6.20-1.3017.fc7-i686'
  CC [M]  /root/Madwifi/madwifi/ath/if_ath.o
cc1: warnings being treated as errors
In file included from /root/Madwifi/madwifi/ath/if_ath.c:53:
include/linux/skbuff.h: In function 'skb_truesize_check':
include/linux/skbuff.h:376: warning: comparison between signed and unsigned
In file included from /root/Madwifi/madwifi/ath/if_ath.c:54:
include/linux/netdevice.h: In function 'netif_msg_init':
include/linux/netdevice.h:836: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_vap_create':
/root/Madwifi/madwifi/ath/if_ath.c:1023: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_hardstart':
/root/Madwifi/madwifi/ath/if_ath.c:2701: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c:2711: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_beacon_send':
/root/Madwifi/madwifi/ath/if_ath.c:4231: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_descdma_setup':
/root/Madwifi/madwifi/ath/if_ath.c:4631: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_tx_capture':
/root/Madwifi/madwifi/ath/if_ath.c:5396: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_recv_mgmt':
/root/Madwifi/madwifi/ath/if_ath.c:5425: warning: signed and unsigned type in conditional expression
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_rx_tasklet':
/root/Madwifi/madwifi/ath/if_ath.c:5701: warning: signed and unsigned type in conditional expression
/root/Madwifi/madwifi/ath/if_ath.c:5716: warning: signed and unsigned type in conditional expression
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_grppoll_txq_update':
/root/Madwifi/madwifi/ath/if_ath.c:5848: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_grppoll_txq_setup':
/root/Madwifi/madwifi/ath/if_ath.c:5887: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_grppoll_start':
/root/Madwifi/madwifi/ath/if_ath.c:5992: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c:6000: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c:6069: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c:6114: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_tx_findindex':
/root/Madwifi/madwifi/ath/if_ath.c:6471: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_tx_processq':
/root/Madwifi/madwifi/ath/if_ath.c:7233: warning: signed and unsigned type in conditional expression
/root/Madwifi/madwifi/ath/if_ath.c:7361: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_calibrate':
/root/Madwifi/madwifi/ath/if_ath.c:7857: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'ath_setcurmode':
/root/Madwifi/madwifi/ath/if_ath.c:8861: warning: comparison between signed and unsigned
/root/Madwifi/madwifi/ath/if_ath.c: In function 'athff_can_aggregate':
/root/Madwifi/madwifi/ath/if_ath.c:8951: warning: comparison between signed and unsigned
make[3]: *** [/root/Madwifi/madwifi/ath/if_ath.o] Error 1
make[2]: *** [/root/Madwifi/madwifi/ath] Error 2
make[1]: *** [_module_/root/Madwifi/madwifi] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.20-1.3017.fc7-i686'
make: *** [modules] Error 2

Change History

04/06/07 18:35:27 changed by anonymous

Having similar problems with fc7, newer kernel, slightly different errors...

[root@localhost madwifi]# make Checking requirements... ok. Checking kernel configuration... ok. make -C /lib/modules/2.6.20-1.3045.fc7/build SUBDIRS=/root/madwifi modules make[1]: Entering directory `/usr/src/kernels/2.6.20-1.3045.fc7-x86_64' /root/madwifi/ath/if_ath.c: In function 'ath_dynamic_sysctl_register': /root/madwifi/ath/if_ath.c:9579: error: too many arguments to function 'register_sysctl_table' /root/madwifi/ath/if_ath.c: In function 'ath_sysctl_register': /root/madwifi/ath/if_ath.c:9733: error: too many arguments to function 'register_sysctl_table' make[3]: *** /root/madwifi/ath/if_ath.o Error 1 make[2]: *** /root/madwifi/ath Error 2 make[1]: *** [_module_/root/madwifi] Error 2 make[1]: Leaving directory `/usr/src/kernels/2.6.20-1.3045.fc7-x86_64' make: *** [modules] Error 2 [root@localhost madwifi]# uname -a Linux localhost.localdomain 2.6.20-1.3045.fc7 #1 SMP Wed Apr 4 18:56:29 EDT 2007 x86_64 x86_64 x86_64 GNU/Linux

04/06/07 21:12:24 changed by anonymous

I have the same build problems like the first description. I hope anyone can fix that problem very soon. Unfortunately that is a blocking point to work with fedora 7.

04/09/07 18:43:54 changed by anonymous

Yes! me too, me too. Same build problem as above 3045.fc7 kernel. Please, pretty please fix it Mr. Madwifi guy.

04/09/07 18:59:35 changed by anonymous

Please see ticket 1166, from what I see it may get fixed by madwifi in the future if the fedora stuff goes mainline and may get fixed by fedora if the -mm changes get backed out....

04/09/07 22:22:02 changed by anonymous

Could someone please confirm that a temporary solution for this is to replace the Fedora rawhide beta3 kernel with 2.6.20.4 from kernel.org?

04/10/07 07:48:37 changed by mrenzmann

Kernel 2.6.20.4 from kernel.org doesn't have the above mentioned compilation issues. Whether it's a "solution" is questionable, as it's very likely that the vanilla kernel does not provide all the functionality that the Fedora kernel provides.

01/30/08 05:59:37 changed by anonymous

same problem here, now where's the solution?